收藏
回答

官方能否提供开发者无感升级用户小程序基础库的接口能力?

问题模块 框架类型 问题类型 API/组件名称 终端类型 微信版本 基础库版本
API和组件 小程序 需求 基础库升级 客户端 7.0.4 2.7.3

官方能否开发基础库升级的接口能力,现在官方一直开放新的接口能力给到开发者,这些接口能力很多都是需要最低基础库要求的,但是开发者面对的很多C端客户的微信客户端版本比较低,你强制让他升级微信app的版本也很不靠谱,很多不愿意为了使用你的小程序而去升级微信app的版本。


一些面向三四线城市用户群体的小程序,你让他们升级微信客户端,显然也不是一个很合理的要求。


如果官方能提供个能力,能让开发者去调用,无感升级用户的小程序的基础库版本,这样就不需要去做那么多兼容,也能享受到新接口能力带来的乐趣和快活。


希望官方这边能评估一下,如果技术上可行的话,希望能把这个能力开放出来,感谢。

最后一次编辑于  07-12  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏投诉关注问题回答

3 个回答

  • 祺爸💎
    祺爸💎
    07-12

    您好,您的反馈已收到,我们不准备在后续版本中增加类似功能

    07-12
    赞同
    回复
  • 连胜
    连胜
    07-12

    已经发出去的基础库代码,你是没办法改的。现在官方的基础库已经是默默的在后台升级了,但是,有些API需要微信客户端支持,你不升级,怎么具备这能力?



    07-12
    赞同
    回复
  • Link
    Link
    07-12

    技术上不可行,因为基础库版本依赖微信版本。例如 2.7.0 基础库只能在 7.0.4 以上微信使用。

    07-12
    赞同
    回复